com.sun.jna.platform.win32

## Interface NtDll

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface NtDll
      extends StdCallLibrary

  ntdll.dll Interface.
  Author:
    dblock[at]dblock.org

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NtDll` | `INSTANCE`

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `ZwQueryKey(WinNT.HANDLE KeyHandle, int KeyInformationClass, Structure KeyInformation, int Length, IntByReference ResultLength)` The ZwQueryKey routine provides information about the class of a registry key, and the number and sizes of its subkeys.

- - ### Field Detail

    - #### INSTANCE

          static final NtDll INSTANCE

  - ### Method Detail

    - #### ZwQueryKey

          int ZwQueryKey(WinNT.HANDLE KeyHandle,
                       int KeyInformationClass,
                       Structure KeyInformation,
                       int Length,
                       IntByReference ResultLength)

      The ZwQueryKey routine provides information about the class of a registry key, and the number and sizes of its subkeys.
      Parameters:
        `KeyHandle` - Handle to the registry key to obtain information about. This handle is created by a successful call to ZwCreateKey or ZwOpenKey.
        `KeyInformationClass` - Specifies a KEY_INFORMATION_CLASS value that determines the type of information returned in the KeyInformation buffer.
        `KeyInformation` - Pointer to a caller-allocated buffer that receives the requested information.
        `Length` - Specifies the size, in bytes, of the KeyInformation buffer.
        `ResultLength` - Pointer to a variable that receives the size, in bytes, of the requested key information. If ZwQueryKey returns STATUS_SUCCESS, the variable contains the amount of data returned. If ZwQueryKey returns STATUS_BUFFER_OVERFLOW or STATUS_BUFFER_TOO_SMALL, you can use the value of the variable to determine the required buffer size.
      Returns:
        ZwQueryKey returns STATUS_SUCCESS on success, or the appropriate error code on failure.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.